%global srcname Cython
%global sum A language for writing Python 3 extension modules
%global desc \
This is a development version of Pyrex, a language \
for writing Python 3 extension modules. \
\
For more info, see: \
\
    Doc/About.html for a description of the language \
    INSTALL.txt    for installation instructions \
    USAGE.txt      for usage instructions \
    Demos          for usage examples


Name:           python3-Cython
Version:        0.27.1
Release:        1%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            http://www.cython.org
Source:         https://files.pythonhosted.org/packages/source/C/Cython/Cython-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
# For tests
BuildRequires:  libtool
BuildRequires:  python%{python3_pkgversion}-coverage
BuildRequires:  python%{python3_pkgversion}-numpy
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-coverage
BuildRequires:  python%{python3_other_pkgversion}-numpy
%endif

%description %{desc}

%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-Cython
Summary:        %{sum}

%description -n python%{python3_pkgversion}-Cython %{desc}
%endif

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-Cython
Summary:        %{sum}

%description -n python%{python3_other_pkgversion}-Cython %{desc}
%endif

%package docs
Summary:        Documentation for %{name}
%description docs
Documentation for the Python3 version of Cython


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build
%py3_other_build


%install
%py3_install
for bin in cython cythonize cygdb; do
  mv %{buildroot}%{_bindir}/${bin} %{buildroot}%{_bindir}/${bin}%{python3_version}
done
rm -rf %{buildroot}%{python3_sitelib}/setuptools/tests

%if 0%{?with_python3_other}
%py3_other_install
for bin in cython cythonize cygdb; do
  mv %{buildroot}%{_bindir}/${bin} %{buildroot}%{_bindir}/${bin}%{python3_other_version}
done
rm -rf %{buildroot}%{python3_other_sitelib}/setuptools/tests
%endif


%check
%{__python3} runtests.py -vv
%{__python3_other} runtests.py -vv


%files -n python%{python3_pkgversion}-Cython
%license LICENSE.txt
%{_bindir}/cython%{python3_version}
%{_bindir}/cythonize%{python3_version}
%{_bindir}/cygdb%{python3_version}
%{python3_sitearch}/Cython*.egg-info/
%{python3_sitearch}/Cython/
%{python3_sitearch}/cython.py
%{python3_sitearch}/pyximport/
%{python3_sitearch}/__pycache__/*

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-Cython
%license LICENSE.txt
%{_bindir}/cython%{python3_other_version}
%{_bindir}/cythonize%{python3_other_version}
%{_bindir}/cygdb%{python3_other_version}
%{python3_other_sitearch}/Cython*.egg-info/
%{python3_other_sitearch}/Cython/
%{python3_other_sitearch}/cython.py
%{python3_other_sitearch}/pyximport/
%{python3_other_sitearch}/__pycache__/*
%endif

%files docs
%license LICENSE.txt
%doc *.txt Demos Tools docs/src


%changelog
* Wed Oct 18 2017 Aurelien Bompard <abompard@fedoraproject.org> - 0.27.1-1
- Build for python3_other
- Update to 0.27.1

* Mon Mar 28 2016 Orion Poplawski - 0.23.5-1
- Update to 0.23.5
- Macro usage cleanup
- Fix license tag
- Fix line endings
- Remove unneeded shbangs

* Thu Mar 3 2016 Orion Poplawski - 0.23.4-2
- Fixup files

* Mon Jan 11 2016 Orion Poplawski - 0.23.4-1
- Initial EPEL7 package
